
import struct

class data_header :
    """CDP Data Header : Ciholas Data Protocol Data Type Header Class Definition"""

    size = 4

    def __init__(self, data=[]) :

        #Initialize containers to reasonable values. This isn't necessary, but makes code readable
        self.data_size = 0           # 2-byte unsigned integer size of data
        self.data_type = 0      # 2-byte unsigned integer type of data

        if data :
            self.decode(data)
            self.callback()

    def decode(self, data) :

        self.data_type, \
        self.data_size = struct.unpack("<HH", data)

    def callback(self) : pass

    def output(self) :
        print "\tdhead  " + \
              "%d " % self.data_size + \
              "%d " % self.data_type
